## python-markdown2 2.4.11

=== Makefile ===
# python-markdown2 Makefile
SHELL=/bin/bash

.PHONY: all
all:

.PHONY: test
test:
	cd test && python testall.py

.PHONY: testone
testone:
	cd test && python test.py -- -knownfailure

.PHONY: pygments
pygments:
	[[ -d deps/pygments ]] || ( \
		mkdir -p deps && \
		hg clone https://bitbucket.org/birkenfeld/pygments-main deps/pygments)
	(cd deps/pygments && hg pull && hg update)
	# And for Python 3 usage:
	rm -rf deps/pygments3
	mkdir -p deps/pygments3
	cp -PR deps/pygments/pygments deps/pygments3/pygments
	2to3 -w --no-diffs deps/pygments3/pygments

clean:
	rm -rf build dist MANIFEST


.PHONY: versioncheck
versioncheck:
	[[ `grep '^__version_info__' lib/markdown2.py | cut -d'(' -f2 | cut -d')' -f1 | sed 's/, /./g'` \
	    == `grep '^## ' CHANGES.md | head -1 | awk '{print $$3}'` ]]
	@echo Version check ok.

.PHONY: cutarelease
cutarelease: versioncheck
	./tools/cutarelease.py -f lib/markdown2.py

## python-markdown2 2.3.7

=== debian/changelog ===
python-markdown2 (2.3.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:54:46 +0800

python-markdown2 (2.3.7-2) unstable; urgency=medium

  * Team upload
  * d/control: Fix wrong Vcs-*.

 -- Ondřej Nový <onovy@debian.org>  Sat, 02 Feb 2019 18:27:36 +0100

python-markdown2 (2.3.7-1) unstable; urgency=low

  * Initial release (Closes: #917651)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 29 Dec 2018 21:07:20 +0100

=== debian/control ===
Source: python-markdown2
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-wheel
Standards-Version: 4.3.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/trentm/python-markdown2
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-markdown2
Vcs-Git: https://salsa.debian.org/python-team/modules/python-markdown2.git

Package: python3-markdown2
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Fast and complete implementation of Markdown in Python3
 Markdown is a text-to-HTML filter; it translates an easy-to-read /
 easy-to-write structured text format into HTML. Markdown’s text format is most
 similar to that of plain text email, and supports features such as headers,
 emphasis, code blocks, blockquotes, and links.
 .
 This is a fast and complete Python3 implementation of the Markdown spec.

## python-markdown2 2.3.9

=== debian/changelog ===
python-markdown2 (2.3.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Pierre-Elliott Bécue ]
  * New upstream release 2.3.9
    (Closes: #959445, CVE-2020-11888)
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper-compat level to 13
  * Fix debian/watch erroneous links

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 02 Jun 2020 19:54:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/trentm/python-markdown2

## python-markdown2 2.3.10

=== debian/changelog ===
python-markdown2 (2.3.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Regex DOS fixes (CVE-2021-26813) (Closes: #984668)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Jun 2021 10:38:29 +0200

python-markdown2 (2.3.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Pierre-Elliott Bécue ]
  * New upstream release 2.3.10
  * Bump Standards-Version to 4.5.1
  * Enable tests both at build time and via autopkgtest

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 16 Jan 2021 23:04:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-markdown2
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-pytest,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/trentm/python-markdown2
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-markdown2
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-markdown2.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-markdown2
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-markdown2.git
 
 Package: python3-markdown2
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=markdown2

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang /usr/bin/python3

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/markdown2/markdown2@ANY_VERSION@@ARCHIVE_EXT@

## python-markdown2 2.4.1

=== debian/changelog ===
python-markdown2 (2.4.1-1) unstable; urgency=medium

  * New upstream release 2.4.1
  * d/watch: track github instead of pypi
  * d/copyright: updated
  * d/control: Bump Standards-Version to 4.6.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 06 Oct 2021 21:46:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pytest,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/trentm/python-markdown2

=== debian/tests/control ===
Tests: python3-markdown2
Depends: @,
         python3-all,
         python3-pytest,
Restrictions: allow-stderr

## python-markdown2 2.4.11

=== debian/changelog ===
python-markdown2 (2.4.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1056480, #1058295)
  * Switch to autopkgtest-pkg-pybuild
  * Bump Standards-Version to 4.6.2
  * Override false positive lintian errors for source-is-missing

 -- Benjamin Drung <bdrung@debian.org>  Fri, 15 Dec 2023 18:51:46 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python3-pytest,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/trentm/python-markdown2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-markdown2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-markdown2.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
-export DH_VERBOSE = 1
+#export DH_VERBOSE = 1
 
 export PYBUILD_NAME=markdown2

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/trentm/@PACKAGE@/tags \
    /trentm/@PACKAGE@/archive/refs/tags/@ANY_VERSION@\.tar\.gz

## python-markdown2 2.5.3

=== debian/changelog ===
python-markdown2 (2.5.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.5.3
  * Update debian/copyright.

 -- Kathlyn Lara Murussi <klmurussi@hotmail.com>  Thu, 15 May 2025 09:57:27 -0300

## python-markdown2 2.5.4

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 .PHONY: testone
 testone:
 	cd test && python test.py -- -knownfailure
+
+.PHONY: testredos
+testredos:
+	python test/test_redos.py
 
 .PHONY: pygments
 pygments:

=== debian/changelog ===
python-markdown2 (2.5.4-3) unstable; urgency=medium

  * Team upload.
  * Apply Multi-Arch: hint
  * Rewrite d/watch in v5 format
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Dec 2025 15:32:03 +0100

python-markdown2 (2.5.4-2) unstable; urgency=medium

  * Team upload.
  * Previous upload was meant for "unstable", fixing this now.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Oct 2025 07:07:34 +0200

python-markdown2 (2.5.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.5.4 (Closes: #1073978)
  * Add patch to support Pytest 8.4 (Closes: #1114311)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 14:11:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: python-markdown2
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-wheel
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/trentm/python-markdown2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-markdown2
@@ -18,6 +16,7 @@
 
 Package: python3-markdown2
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends}
 Description: Fast and complete implementation of Markdown in Python3

=== debian/watch ===
Version: 5

Template: GitHub
Owner: trentm
Project: python-markdown2
